package com.zoblak.farm;

import android.content.Context;

/**
 * Created by senadu on 11/15/16.
 */

public class AlarmResponseHandler {

    AlarmPingResponse response;
    Context context;


    public AlarmResponseHandler(Context context, AlarmPingResponse response) {
        this.response = response;
        this.context = context;
    }

    public void handle() {

        if (response.getAlarmTriggered()) {
            AlarmNotification.notify(context, response.toNotificationMessage(), 1);
            SoundPlayingService.startPlayingAlarm(context);
        }

    }



}
